function M = setup(O)
% [D,F,M] = MERGED.ODE.INITIALIZE() generates the data for master ode model
% D - the data of decoy model, generated by Decoy.ODE.initialize(), to be
% used in Merged.ODE.ode
% F - the data of FNR model, generated by FNR.ODE.initialize(), to be used
% in Merged.ODE.ode
% M - the data of master model, to be used in Tools.steadystate
% the structure of M looks like this:
% M
%   .info
%       .model                              - 'master'
%   .Decoy                                  - Decoy struct
%   .FNR                                    - FNR struct
%   .amounts(id)                            - initial concentrations
%   .oxygen                                 - oxygen concentrations

M = Decoy.ODE.setup(O);
M = FNR.ODE.setup(M);

i = 1;
for j = 1:M.info.rules
    eval(M.rules(j).expression);
end

end